prefixes:
  data: "https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json/"
  samm: "urn:samm:org.eclipse.esmf.samm:meta-model:2.2.0#"
  samm-c: "urn:samm:org.eclipse.esmf.samm:characteristic:2.2.0#"
  unit: "urn:samm:org.eclipse.esmf.samm:unit:2.2.0#"
  mat: "urn:samm:io.catenax.material_data:1.0.0#"
  xsd: "http://www.w3.org/2001/XMLSchema#"
base: '#'
sources:
  root: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$'
    referenceFormulation: jsonpath
  materialInformation: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$.materialInformation'
    referenceFormulation: jsonpath
  mechanicalProperty: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$.mechanicalProperty'
    referenceFormulation: jsonpath
  physicalProperty: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$.physicalProperty'
    referenceFormulation: jsonpath
  thermophysicalProperty: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$.thermophysicalProperty'
    referenceFormulation: jsonpath
  linearThermalExpansionCoefficient: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$.thermophysicalProperty.linearThermalExpansionCoefficient'
    referenceFormulation: jsonpath
  pvt_items: 
    access: 'https://dataportal.material-digital.de/dataset/f2bca6a2-04df-47cb-9439-589e46ba60e2/resource/7e6f6f23-1188-4de3-afbd-419219f39dbe/download/material_data_test_pa6gf30.json'
    iterator: '$.pvt[*]'
    referenceFormulation: jsonpath
mappings:
  MaterialData:
    sources: root
    s: "MaterialData_$(materialInformation.materialIdentifier)"
    po:
      - [a, mat:MaterialData]
      - p: mat:materialInformation

        o:
          mapping: MaterialInformationEntity
      - p: mat:mechanicalProperty

        o:
          mapping: MechanicalPropertyEntity
      - p: mat:physicalProperty

        o:
          mapping: PhysicalPropertyEntity
      - p: mat:thermophysicalProperty

        o:
          mapping: ThermophysicalPropertyEntity
  MaterialInformationEntity:
    sources: materialInformation
    s: "MaterialInformation_$(materialIdentifier)"
    po:
      - [a, mat:MaterialInformationEntity]
      - [mat:materialName, "$(materialName)"]
      - [mat:materialIdentifier, "$(materialIdentifier)"]

  MechanicalPropertyEntity:
    sources: mechanicalProperty
    s: "MechanicalProperty_$(flexuralStrength)_$(youngsModulus)"
    po:
      - [a, mat:MechanicalPropertyEntity]
      - [mat:flexuralStrength, "$(flexuralStrength)"]
      - [mat:impactStrength, "$(impactStrength)"]
      - [mat:youngsModulus, "$(youngsModulus)"]
      - [mat:strainAtBreak, "$(strainAtBreak)"]
      - [mat:stressAtBreak, "$(stressAtBreak)"]
      - [mat:flexuralModulus, "$(flexuralModulus)"]

  PhysicalPropertyEntity:
    sources: physicalProperty
    s: "PhysicalProperty_$(density)"
    po:
      - [a, mat:PhysicalPropertyEntity]
      - [mat:density, "$(density)"]

  ThermophysicalPropertyEntity:
    sources: thermophysicalProperty
    s: "ThermophysicalProperty_$(humidity)_$(meltingTemperature)"
    po:
      - [a, mat:ThermophysicalPropertyEntity]
      - [mat:humidity, "$(humidity)"]
      - [mat:glassTransitionTemperature, "$(glassTransitionTemperature)"]
      - [mat:meltingTemperature, "$(meltingTemperature)"]
      - [mat:waterAbsorption, "$(waterAbsorption)"]
      - p: mat:linearThermalExpansionCoefficient

        o:
          mapping: LinearThermalExpansionCoefficientEntity
      - p: mat:pvt

        o:
          mapping: PvtEntity
  LinearThermalExpansionCoefficientEntity:
    sources: linearThermalExpansionCoefficient
    s: "LinearThermalExpansionCoefficient_$(linearThermalExpansionCoefficientParallel)"
    po:
      - [a, mat:LinearThermalExpansionCoefficientEntity]
      - [mat:linearThermalExpansionCoefficientTransverse, "$(linearThermalExpansionCoefficientTransverse)"]
      - [mat:linearThermalExpansionCoefficientParallel, "$(linearThermalExpansionCoefficientParallel)"]

  PvtEntity:
    sources: pvt_items
    s: "Pvt_$(temperature)_$(pressure)"
    po:
      - [a, mat:PvtEntity]
      - [mat:temperature, "$(temperature)"]
      - [mat:specificVolume, "$(specificVolume)"]
      - [mat:pressure, "$(pressure)"]